/**
 * generated by Xtext 2.12.0
 */
package fr.n7.petrinet.txt.formatting2;

import com.google.inject.Inject;
import fr.n7.petrinet.txt.services.NETGrammarAccess;
import java.util.Arrays;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.formatting2.AbstractFormatter2;
import org.eclipse.xtext.formatting2.IFormattableDocument;
import org.eclipse.xtext.resource.XtextResource;
import org.eclipse.xtext.xbase.lib.Extension;

@SuppressWarnings("all")
public class NETFormatter extends AbstractFormatter2 {
  @Inject
  @Extension
  private NETGrammarAccess _nETGrammarAccess;
  
  protected void _format(final /* Reseau */Object reseau, @Extension final IFormattableDocument document) {
    throw new Error("Unresolved compilation problems:"
      + "\nArc cannot be resolved to a type."
      + "\nElementPetri cannot be resolved to a type."
      + "\ngetArc cannot be resolved"
      + "\nformat cannot be resolved"
      + "\ngetElementpetri cannot be resolved"
      + "\nformat cannot be resolved");
  }
  
  public void format(final Object reseau, final IFormattableDocument document) {
    if (reseau instanceof XtextResource) {
      _format((XtextResource)reseau, document);
      return;
    } else if (reseau instanceof EObject) {
      _format((EObject)reseau, document);
      return;
    } else if (reseau == null) {
      _format((Void)null, document);
      return;
    } else if (reseau != null) {
      _format(reseau, document);
      return;
    } else if (reseau != null) {
      _format(reseau, document);
      return;
    } else {
      throw new IllegalArgumentException("Unhandled parameter types: " +
        Arrays.<Object>asList(reseau, document).toString());
    }
  }
}
